---
title: Comment()
slug: Web/API/Comment/Comment
tags:
  - API
  - Comment
  - Constructor
  - DOM
---
<p>{{ApiRef("DOM")}}{{seeCompatTable}}</p>

<p>The <code><strong>Comment()</strong></code> constructor returns a newly created {{domxref("Comment")}} object with the optional {{domxref("DOMString")}} given in parameter as its textual content.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>comment</em>1 = new Comment(); // Create an empty comment
<code><em>comment2</em></code> = new Comment("This is a comment");
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js  language-js">var comment = new Comment("Test");</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-comment-comment', 'Comment: Comment')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Comment.Comment")}}</p>

<div class="note">
<p><strong>Note</strong>: For browsers where this constructor is not supported, {{domxref("Document.createComment()")}} may be suitable.</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/DOM/DOM_Reference">The DOM interfaces index</a></li>
</ul>
